Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#427 closed enhancement

bcopy, bzero, bcmp are deprecated

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: lowest Milestone: 4.9
Component: score Version: 4.6
Severity: minor Keywords:
Cc: bugs@…, norume@… Blocked By:
Blocking:

Description (last modified by Chris Johns)

ISO/POSIX etc. have deprecated bcopy and friends.

Therefore I'd propose to gradually change all calls to bcopy etc. in RTEMS into their mem*-counterparts and not to use them in new code.

Release:
RTEMS > 4.6

Change History (3)

comment:1 Changed on 03/08/06 at 18:05:09 by Joel Sherrill

Status: assignedwaiting

comment:2 Changed on 08/05/08 at 18:41:09 by Joel Sherrill

Milestone: 4.9
rep_platform: All

I think the mon-network.c is the only place left that did not originate in BSD code that uses one of these routines.

If that file were changed, could we close this PR?

comment:3 Changed on 11/20/14 at 03:54:06 by Chris Johns

Description: modified (diff)
Resolution: wontfix
Status: assignedclosed

Not fixed in the 4.9 release branch.

Note: See TracTickets for help on using tickets.